{
  template: '${tmpl}',
    data: function() {
      return {
        multipleSelection: [],
        isSingleSelect: false,
        bizCode: 'mytradetransferdiliver',
        showUploadform: false,
        f1: "",
      }
    },
  mounted: function() {



  },
  created: function() {
    /* if(this.codePath.indexOf("appuser")>=0){
       this.bizCode="appuser";
     }else{
       this.bizCode="allusers";
     }*/
  },
  methods: {
    validateformmethod(rule, value, cbk){
      return cbk();
    },
    onDlgFormClick(k, model){
      var that=this;
      if (k = "alisubmit") {
        debugger;
        this.$root.postReq("/web/transfer/tradetransferCtl/submit", model).then(function (d) {
          if (d.status > -1) {
            $("[name='grdid']").show();
            $("[name='frmid']").hide();
            that.$message({
              type: 'success',
              message: '提交成功!'
            });
          }else{
            $("[name='grdid']").show();
            $("[name='frmid']").hide();
            that.$message.warning("提交失败");
          }
        })
      }
    },
    onColFormater(row, column, cellvalue, index){


      return cellvalue;
    },
    handleSelectionChange: function(val) {
      this.multipleSelection = val;
      console.log(val);
    },
    fetchData: function() {

    },
    onRowClick(row, key, e){
      if (key == "upfiles") {
        console.log(this.$router);
        this.$router.push({ path: "/tansfersupplymaterail", query: { ali_bizid: row.ali_bizid } });

      }
      if (key == "notar") {
        console.log(this.$router);
        this.$router.push({ path: "/mynotarizationflow", query: { ali_bizid: row.ali_bizid } });
      }
    },
    upsuccess(result){
      console.log(result);
    }
  },
  computed: Vuex.mapState({
    headStyle: function () {
      return { "background-color": "white" };
    }
  }),
    vname: "gsb-tradetransferdiliver"
}
